﻿@model eCommerce.Services.Model.Order
@using eCommerce.Services.Model.Enums

@{
    ViewBag.Title = "Cobros";
    Layout = "~/Views/Shared/_ListLayout.cshtml";
}

<div class="page-header">
    <h1 class="page-title">Venta #@Model.OrderId - Cobros realizados</h1>
    <div class="page-header-actions">
        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            <button type="button" class="btn btn-default btn-outline" onclick="window.location.href = '/Orders'">
                <i class="icon wb-arrow-left" aria-hidden="true"></i>
                <span class="hidden-xs">VOLVER</span>
            </button>
        </div>

        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            <button type="button" class="btn btn-outline btn-primary" onclick="window.location.href = '/OrderPayments/OrderPaymentUpdate?id=-1&OrderId=@Model.OrderId'"
                    @(Model.PendingAmountToPay <= 0 ? "disabled" : "") >
                <i class="icon wb-plus" aria-hidden="true"></i>
                <span class="hidden-xs">NUEVA COBRO</span>
            </button>
        </div>

        @if (Model.PaymentStatusId ==  (int)PaymentStatusEnum.Pagada) { 
        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            <button type="button" class="btn btn-default btn-success" onclick="">
                <i class="icon fa-money" aria-hidden="true"></i>
                <span class="hidden-xs">COBRADO: @string.Format("{0:C2}", Model.TotalAmountPaid)</span>
            </button>
        </div>
        } else { 
        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            <button type="button" class="btn btn-default btn-danger" onclick="">
                <i class="icon fa-money" aria-hidden="true"></i>
                <span class="hidden-xs">A COBRAR: @string.Format("{0:C2}", Model.PendingAmountToPay) </span>
            </button>
        </div>
        }

    </div>
</div>

<div class="page-content">


    <div class="panel">
        
        <div class="pull-right">
            
        </div>

        <div class="clearfix"></div>

        <div class="panel-body">
            @Html.Partial("_OrderPaymentList", Model.Transactions)
        </div>
    </div>

</div>

@section Scripts {

    <script type="text/javascript">

        $(document).ready(function () {
            setActionsDialogs();
        })

        function fDelete(Id)
        {
            $.ajax({
                url: "/OrderPayments/OrderPaymentDelete/" + Id,
                type: "GET",
                data: null,
                success: function (data, textStatus, jqXHR)
                {
                    $('.panel-body').html(data);
                    $('.dataTable').DataTable();
                    setActionsDialogs();
                    swal("Eliminado!", "", "success");
                }
            });
        }

        function setActionsDialogs()
        {
            $('.remove-row').on("click", function () {
                var rowId = $(this).attr("data-rowid");
                swal({
                    title: "Confirma su acción de Eliminar?",
                    text: "Al eliminar una transacción se eliminaran todos los cheques asociadas a esta",
                    type: "warning",
                    showCancelButton: true,
                    confirmButtonColor: '#F26A54',
                    confirmButtonText: 'Sí, deseo elminarlo!',
                    cancelButtonText: 'Cancelar',
                    closeOnConfirm: false,
                    closeOnCancel: true
                },
                function (isConfirm) {
                    if (isConfirm) {
                        fDelete(rowId);
                    }
                });
            });
        }

    </script>

}

